Skip to main content
POST
/
io.pocketenv.sandbox.pullDirectory
Pull a directory from the cp storage into a Sandbox.
curl --request POST \
  --url https://api.pocketenv.io/xrpc/io.pocketenv.sandbox.pullDirectory \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sandboxId": "<string>",
  "directoryPath": "<string>",
  "uuid": "<string>"
}
'
{
  "error": "<string>",
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
sandboxId
string
required

ID of the Sandbox into which to pull the directory.

directoryPath
string
required

Destination path within the Sandbox where the directory should be pulled. This should be an absolute path.

uuid
string

ID of the directory in cp storage to pull into the Sandbox.

Response

OK